Subject: Re: [PATCH/RFC] git-gui: Add a 'recursive' checkbox in the clone menu.

From: Henri GEIST <[email-masked]>
Date: Tue, 11 Mar 2014 12:07:18 +0100

Le mercredi 05 mars 2014 à 19:00 +0100, Jens Lehmann a écrit :
> Am 05.03.2014 00:01, schrieb Henri GEIST:
> > Permit to do a 'git clone --recursive' through git-gui.
> 
> I really like where this is heading!
> 
> Some minor issues:
> 
> - I think we should be more verbose in the commit message,
>   including that and why the default should be "on". Maybe
>   like this?
> 
>   "Permit to do a 'git clone --recursive' through git-gui.
>   Add a 'recursive' checkbox in the clone menu which allows
>   users to clone a repository and all its submodules in one
>   go (unless the 'update' flag is set to "none" in the
>   .gitmodules file for a submodule, in that case that
>   specific submodule is not cloned automatically).
> 
>   Enable this new option per default, as most users want to
>   clone all submodules too when cloning the superproject
>   (This is currently not possible without leaving git gui
>   or adding a custom tool entry for that)."
> 
> 
> - I'd rather change the button text from "Recursive (For
>   submodules)" to something like "Recursively clone
>   submodules too" or such.
> 
>

Perfect.
Would you like me to send the new version of the patch in this thread
Or to make a new thread [patch v2] ?